<script setup>
  const props = defineProps({
    text: String,
    ariaLabel: String
  })

  function logAriaLabel() {
    console.log(props.ariaLabel)
  }
</script>

<template>
  <button type="button" class="btn btn-primary" :aria-label="ariaLabel" @click="logAriaLabel">{{ text }}</button>
</template>
